%global fontname oflb-smonohand
%global fontconf 64-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        20090423
Release:        2%{?dist}
Summary:        A handwritten monospace font

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/dalles/403
Source0:        http://openfontlibrary.org/people/dalles/dalles_-_SMonohand.ttf
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
SMonohand is a handwritten monospace Latin font with German
characters.


%prep


%build


%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}/SMonohand.ttf

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
   %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -rf $RPM_BUILD_ROOT

%_font_pkg -f %{fontconf} *.ttf

#doc


%changelog
* Thu Oct  1 2009 Michel Salim <salimma@fedoraproject.org> - 20090423-2
- Incorporate review feedbacks (bz #526607)

* Wed Sep 30 2009 Michel Salim <salimma@fedoraproject.org> - 20090423-1
- Initial package

